%global srcname geomet

Name:           python-%{srcname}
Version:        0.2.0
Release:        1.post2%{?dist}
Summary:        GeoJSON <-> WKT/WKB conversion utilities

License:        ASL 2.0
URL:            https://github.com/geomet/geomet
Source0:        %{url}/archive/%{version}-2/%{srcname}-%{version}-2.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(click)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(nose)

%description
Convert GeoJSON to WKT/WKB (Well-Known Text/Binary), and vice versa.


%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Convert GeoJSON to WKT/WKB (Well-Known Text/Binary), and vice versa.


%prep
%autosetup -n %{srcname}-%{version}-2

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

# Remove unnecessary shebang
for file in geomet/tool.py; do
  sed -i.orig -e '1d' ${file} && \
  touch -r ${file}.orig ${file} && \
  rm ${file}.orig
done


%build
%py3_build


%install
%py3_install


%check
%{__python3} setup.py test


%files -n python3-%{srcname}
%{_bindir}/geomet
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}.post2-py?.?.egg-info


%changelog
* Fri Mar 15 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.2.0-1.post2
- Initial package.
